<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.11027
Name: Rubriek 27 Groei
Description: Vastleggen van de gegevens van lengte, gewicht en hoofdomtrek.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.11027-2012-08-01T000000">
   <title>Rubriek 27 Groei</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]
Item: (rubricCluster27)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]
Item: (rubricCluster27)
-->

   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]"
         id="tmp-r-42655d1d-1ada-4dd6-8634-5e90bb5bdfe8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.11027-2012-08-01T000000.html"
              test="string(@classCode)='CLUSTER' or not(@classCode)">(rubricCluster27): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.11027-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricCluster27): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.11027-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']/@nullFlavor)">(rubricCluster27): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.11027-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027'])&lt;=1">(rubricCluster27): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.11027-2012-08-01T000000.html"
              test="count(hl7:code[(@code='R027' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')])&gt;=1 and not(hl7:code[(@code='R027' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')]/@nullFlavor)">(rubricCluster27): element hl7:code[(@code='R027' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.11027-2012-08-01T000000.html"
              test="count(hl7:code[(@code='R027' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')])&lt;=1">(rubricCluster27): element hl7:code[(@code='R027' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.11027-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']]])&lt;=1">(rubricCluster27): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.11027-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']]])&lt;=1">(rubricCluster27): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.11027-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']]])&lt;=1">(rubricCluster27): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.11027-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']]])&lt;=1">(rubricCluster27): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.11027-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41485']]])&lt;=1">(rubricCluster27): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41485']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.11027-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']]])&lt;=1">(rubricCluster27): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:templateId
Item: (rubricCluster27)
-->

   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:templateId"
         id="tmp-r-bacc7794-2455-4234-b9d7-81f532d72238">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.11027-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(rubricCluster27): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.11027-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.11027'">(rubricCluster27): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.11027' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:code[(@code='R027' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')]
Item: (rubricCluster27)
-->

   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:code[(@code='R027' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')]"
         id="tmp-r-c1b53c3b-0de1-478e-b873-ca9ce765f7e2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.11027-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(rubricCluster27): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.11027-2012-08-01T000000.html"
              test="@nullFlavor or (@code='R027' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')">(rubricCluster27): de elementwaarde MOET zijn code 'R027' codeSystem '2.16.840.1.113883.2.4.4.40.391'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']]]
Item: (rubricCluster27)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40234
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]
Item: (obs_Bijzonderheden_groei)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40234
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']]]
Item: (obs_Bijzonderheden_groei)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']]]"
         id="tmp-r-aaf88f9b-a6a7-4168-a45f-d49f90a39b00">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40234-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']]/@nullFlavor)">(obs_Bijzonderheden_groei): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40234-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']])&lt;=1">(obs_Bijzonderheden_groei): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40234
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']]]/hl7:observation
Item: (obs_Bijzonderheden_groei)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']]]/hl7:observation"
         id="tmp-r-b65bc30b-68e9-4a46-a761-a4ce14d56d97">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40234-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(obs_Bijzonderheden_groei): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40234-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(obs_Bijzonderheden_groei): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40234-2012-08-01T000000.html"
              test="string(@negationInd)='false'">(obs_Bijzonderheden_groei): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40234-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']/@nullFlavor)">(obs_Bijzonderheden_groei): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40234-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234'])&lt;=1">(obs_Bijzonderheden_groei): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40234-2012-08-01T000000.html"
              test="count(hl7:code[(@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(obs_Bijzonderheden_groei): element hl7:code[(@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40234-2012-08-01T000000.html"
              test="count(hl7:code[(@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(obs_Bijzonderheden_groei): element hl7:code[(@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40234-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_groei): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40234-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_groei): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40234
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']
Item: (obs_Bijzonderheden_groei)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']"
         id="tmp-r-7fb882dc-0251-4cc8-ad04-87e917323a6b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40234-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_groei): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40234-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40234'">(obs_Bijzonderheden_groei): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.40234' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40234
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']]]/hl7:observation/hl7:code[(@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (obs_Bijzonderheden_groei)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']]]/hl7:observation/hl7:code[(@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-r-df3bc0ac-2e83-428a-9712-edea6fc06b14">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40234-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_groei): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40234-2012-08-01T000000.html"
              test="@nullFlavor or (@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_groei): de elementwaarde MOET zijn code '234' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40234
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_groei)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']]]/hl7:observation/hl7:value"
         id="tmp-r-ebc3b47b-52cd-44e0-8ed1-e0e9149b1f01">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40234-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_groei): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40234
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']]]/hl7:observation/hl7:component1[hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]]
Item: (obs_Bijzonderheden_groei)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40234
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']]]/hl7:observation/hl7:component2[hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]]
Item: (obs_Bijzonderheden_groei)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']]]
Item: (rubricCluster27)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40235
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]
Item: (obs_Lengte)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40235
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']]]
Item: (obs_Lengte)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']]]"
         id="tmp-r-30efd242-1b37-43e9-b424-d791dd15caac">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40235-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']]/@nullFlavor)">(obs_Lengte): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40235-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']])&lt;=1">(obs_Lengte): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40235
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']]]/hl7:observation
Item: (obs_Lengte)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']]]/hl7:observation"
         id="tmp-r-8bf30e7c-4759-4f42-b862-b85900a5e008">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40235-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(obs_Lengte): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40235-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(obs_Lengte): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40235-2012-08-01T000000.html"
              test="string(@negationInd)='false'">(obs_Lengte): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40235-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']/@nullFlavor)">(obs_Lengte): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40235-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235'])&lt;=1">(obs_Lengte): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40235-2012-08-01T000000.html"
              test="count(hl7:code[(@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(obs_Lengte): element hl7:code[(@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40235-2012-08-01T000000.html"
              test="count(hl7:code[(@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(obs_Lengte): element hl7:code[(@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40235-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Lengte): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40235-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Lengte): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40235-2012-08-01T000000.html"
              test="count(hl7:methodCode)&lt;=1">(obs_Lengte): element hl7:methodCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40235
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']
Item: (obs_Lengte)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']"
         id="tmp-r-55d023a0-158e-4273-bbd6-5130ee0c00b6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40235-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Lengte): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40235-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40235'">(obs_Lengte): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.40235' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40235
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']]]/hl7:observation/hl7:code[(@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (obs_Lengte)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']]]/hl7:observation/hl7:code[(@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-r-ed72b01d-c761-4bd1-be37-357968f959ae">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40235-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Lengte): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40235-2012-08-01T000000.html"
              test="@nullFlavor or (@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Lengte): de elementwaarde MOET zijn code '235' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40235
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']]]/hl7:observation/hl7:value
Item: (obs_Lengte)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']]]/hl7:observation/hl7:value"
         id="tmp-r-fd50128f-032d-4cf0-aa9c-a8a42829eb9c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40235-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Lengte): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40235-2012-08-01T000000.html"
              test="(@nullFlavor or (@unit='mm'))">(obs_Lengte): value MOET eenheid 'mm' gebruiken </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40235-2012-08-01T000000.html"
              test="$digitok or @nullFlavor">(obs_Lengte): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40235-2012-08-01T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(obs_Lengte): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40235
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']]]/hl7:observation/hl7:methodCode
Item: (obs_Lengte)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']]]/hl7:observation/hl7:methodCode"
         id="tmp-r-330cc725-9f83-4afb-9709-fb7924ad8df7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40235-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Lengte): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40235-2012-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.253-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(obs_Lengte): de elementwaarde MOET zijn W0253_HL7 W0253 Methode lengtemeting (HL7) (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.253-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40235-2012-08-01T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(obs_Lengte): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst W0253_HL7 W0253 Methode lengtemeting (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40235
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']]]/hl7:observation/hl7:component1[hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]]
Item: (obs_Lengte)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40235
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']]]/hl7:observation/hl7:component2[hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]]
Item: (obs_Lengte)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']]]
Item: (rubricCluster27)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40245
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]
Item: (obs_Gewicht)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40245
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']]]
Item: (obs_Gewicht)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']]]"
         id="tmp-r-f9ad2056-1535-403c-ae94-f8e81ff113f5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40245-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']]/@nullFlavor)">(obs_Gewicht): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40245-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']])&lt;=1">(obs_Gewicht): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40245
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']]]/hl7:observation
Item: (obs_Gewicht)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']]]/hl7:observation"
         id="tmp-r-12e04c3c-8944-41b6-b5da-e7d962e6cd97">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40245-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(obs_Gewicht): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40245-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(obs_Gewicht): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40245-2012-08-01T000000.html"
              test="string(@negationInd)='false'">(obs_Gewicht): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40245-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']/@nullFlavor)">(obs_Gewicht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40245-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245'])&lt;=1">(obs_Gewicht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40245-2012-08-01T000000.html"
              test="count(hl7:code[(@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(obs_Gewicht): element hl7:code[(@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40245-2012-08-01T000000.html"
              test="count(hl7:code[(@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(obs_Gewicht): element hl7:code[(@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40245-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Gewicht): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40245-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Gewicht): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40245-2012-08-01T000000.html"
              test="count(hl7:methodCode)&lt;=1">(obs_Gewicht): element hl7:methodCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40245
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']
Item: (obs_Gewicht)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']"
         id="tmp-r-3dd05c31-f965-44ef-a411-904ee81c072a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40245-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Gewicht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40245-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40245'">(obs_Gewicht): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.40245' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40245
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']]]/hl7:observation/hl7:code[(@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (obs_Gewicht)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']]]/hl7:observation/hl7:code[(@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-r-b3109d95-b609-4028-bf45-ab6f4cebba94">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40245-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Gewicht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40245-2012-08-01T000000.html"
              test="@nullFlavor or (@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Gewicht): de elementwaarde MOET zijn code '245' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40245
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']]]/hl7:observation/hl7:value
Item: (obs_Gewicht)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']]]/hl7:observation/hl7:value"
         id="tmp-r-ca4c79fa-dafa-4e3c-9427-000a5d1915ac">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40245-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Gewicht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40245-2012-08-01T000000.html"
              test="(@nullFlavor or (@unit='g'))">(obs_Gewicht): value MOET eenheid 'g' gebruiken </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40245-2012-08-01T000000.html"
              test="$digitok or @nullFlavor">(obs_Gewicht): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40245-2012-08-01T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(obs_Gewicht): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40245
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']]]/hl7:observation/hl7:methodCode
Item: (obs_Gewicht)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']]]/hl7:observation/hl7:methodCode"
         id="tmp-r-95a36d5b-6dc7-44ee-9f92-8c5cac48c8c7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40245-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Gewicht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40245-2012-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.261-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(obs_Gewicht): de elementwaarde MOET zijn W0261_HL7 W0261 Methode gewichtsmeting (HL7) (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.261-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40245-2012-08-01T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(obs_Gewicht): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst W0261_HL7 W0261 Methode gewichtsmeting (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40245
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']]]/hl7:observation/hl7:component1[hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]]
Item: (obs_Gewicht)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40245
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']]]/hl7:observation/hl7:component2[hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]]
Item: (obs_Gewicht)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']]]
Item: (rubricCluster27)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40247
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]
Item: (obs_Indruk_JGZ_professional_gewichtlengte)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40247
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']]]
Item: (obs_Indruk_JGZ_professional_gewichtlengte)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']]]"
         id="tmp-r-6306fd48-d5f3-4e7d-b052-29ae98417b2e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40247-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']]/@nullFlavor)">(obs_Indruk_JGZ_professional_gewichtlengte): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40247-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']])&lt;=1">(obs_Indruk_JGZ_professional_gewichtlengte): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40247
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']]]/hl7:observation
Item: (obs_Indruk_JGZ_professional_gewichtlengte)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']]]/hl7:observation"
         id="tmp-r-8a50c39e-6768-4efc-9d0d-ef40e8178aa4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40247-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(obs_Indruk_JGZ_professional_gewichtlengte): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40247-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(obs_Indruk_JGZ_professional_gewichtlengte): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40247-2012-08-01T000000.html"
              test="string(@negationInd)='false'">(obs_Indruk_JGZ_professional_gewichtlengte): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40247-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']/@nullFlavor)">(obs_Indruk_JGZ_professional_gewichtlengte): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40247-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247'])&lt;=1">(obs_Indruk_JGZ_professional_gewichtlengte): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40247-2012-08-01T000000.html"
              test="count(hl7:code[(@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(obs_Indruk_JGZ_professional_gewichtlengte): element hl7:code[(@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40247-2012-08-01T000000.html"
              test="count(hl7:code[(@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(obs_Indruk_JGZ_professional_gewichtlengte): element hl7:code[(@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40247-2012-08-01T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.264-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.264-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 ">(obs_Indruk_JGZ_professional_gewichtlengte): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.264-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.264-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40247-2012-08-01T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.264-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.264-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(obs_Indruk_JGZ_professional_gewichtlengte): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.264-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.264-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40247
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']
Item: (obs_Indruk_JGZ_professional_gewichtlengte)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']"
         id="tmp-r-dd2a43d2-684b-4961-8d36-a0f4546328ce">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40247-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Indruk_JGZ_professional_gewichtlengte): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40247-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40247'">(obs_Indruk_JGZ_professional_gewichtlengte): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.40247' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40247
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']]]/hl7:observation/hl7:code[(@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (obs_Indruk_JGZ_professional_gewichtlengte)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']]]/hl7:observation/hl7:code[(@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-r-46e2d072-365a-47eb-a823-88295fdf60a7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40247-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Indruk_JGZ_professional_gewichtlengte): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40247-2012-08-01T000000.html"
              test="@nullFlavor or (@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Indruk_JGZ_professional_gewichtlengte): de elementwaarde MOET zijn code '247' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40247
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']]]/hl7:observation/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.264-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.264-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (obs_Indruk_JGZ_professional_gewichtlengte)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']]]/hl7:observation/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.264-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.264-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-cf500e05-933b-448f-aadd-871101aa9182">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40247-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Indruk_JGZ_professional_gewichtlengte): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40247-2012-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.264-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(obs_Indruk_JGZ_professional_gewichtlengte): de elementwaarde MOET zijn W0264_HL7 W0264 Indruk gewicht/lengte (HL7) (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.264-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40247-2012-08-01T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(obs_Indruk_JGZ_professional_gewichtlengte): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst W0264_HL7 W0264 Indruk gewicht/lengte (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40247
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']]]/hl7:observation/hl7:component1[hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]]
Item: (obs_Indruk_JGZ_professional_gewichtlengte)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40247
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']]]/hl7:observation/hl7:component2[hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]]
Item: (obs_Indruk_JGZ_professional_gewichtlengte)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41485']]]
Item: (rubricCluster27)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41485
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]
Item: (obs_Middelomtrek_in_millimeters)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41485
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41485']]]
Item: (obs_Middelomtrek_in_millimeters)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41485']]]"
         id="tmp-r-fe6d080b-b366-41ba-bbad-a0c118405fb4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.41485-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41485']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41485']]/@nullFlavor)">(obs_Middelomtrek_in_millimeters): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41485']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.41485-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41485']])&lt;=1">(obs_Middelomtrek_in_millimeters): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41485']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41485
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41485']]]/hl7:observation
Item: (obs_Middelomtrek_in_millimeters)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41485']]]/hl7:observation"
         id="tmp-r-b3047136-5ada-43a0-9090-8a68d37774f5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.41485-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(obs_Middelomtrek_in_millimeters): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.41485-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(obs_Middelomtrek_in_millimeters): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.41485-2012-08-01T000000.html"
              test="string(@negationInd)='false'">(obs_Middelomtrek_in_millimeters): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.41485-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41485'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41485']/@nullFlavor)">(obs_Middelomtrek_in_millimeters): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41485'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.41485-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41485'])&lt;=1">(obs_Middelomtrek_in_millimeters): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41485'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.41485-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='1485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(obs_Middelomtrek_in_millimeters): element hl7:code[(@code='1485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.41485-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(obs_Middelomtrek_in_millimeters): element hl7:code[(@code='1485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.41485-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(obs_Middelomtrek_in_millimeters): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.41485-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Middelomtrek_in_millimeters): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41485
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41485']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41485']
Item: (obs_Middelomtrek_in_millimeters)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41485']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41485']"
         id="tmp-r-4e71fe01-199a-48b3-a51c-63e1c06b7716">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.41485-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Middelomtrek_in_millimeters): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.41485-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.41485'">(obs_Middelomtrek_in_millimeters): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.41485' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41485
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41485']]]/hl7:observation/hl7:code[(@code='1485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (obs_Middelomtrek_in_millimeters)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41485']]]/hl7:observation/hl7:code[(@code='1485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-r-5822ef82-ddb8-49ef-ac8f-5d080aee8ad5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.41485-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Middelomtrek_in_millimeters): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.41485-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Middelomtrek_in_millimeters): de elementwaarde MOET zijn code '1485' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41485
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41485']]]/hl7:observation/hl7:value
Item: (obs_Middelomtrek_in_millimeters)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41485']]]/hl7:observation/hl7:value"
         id="tmp-r-5438c6ae-00f3-41b9-b0c1-4fc62f47b9c8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.41485-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Middelomtrek_in_millimeters): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.41485-2012-08-01T000000.html"
              test="(@nullFlavor or (@unit='mm' and number($theValue)&lt;=9999))">(obs_Middelomtrek_in_millimeters): value MOET eenheid 'mm' gebruiken en in bereik [..9999] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.41485-2012-08-01T000000.html"
              test="$digitok or @nullFlavor">(obs_Middelomtrek_in_millimeters): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.41485-2012-08-01T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(obs_Middelomtrek_in_millimeters): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41485
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41485']]]/hl7:observation/hl7:component1[hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]]
Item: (obs_Middelomtrek_in_millimeters)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41485
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41485']]]/hl7:observation/hl7:component2[hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]]
Item: (obs_Middelomtrek_in_millimeters)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']]]
Item: (rubricCluster27)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40252
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]
Item: (obs_Hoofdomtrek)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40252
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']]]
Item: (obs_Hoofdomtrek)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']]]"
         id="tmp-r-6dcab7ea-4ab8-4ee4-9c73-3f054b914527">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40252-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']]/@nullFlavor)">(obs_Hoofdomtrek): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40252-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']])&lt;=1">(obs_Hoofdomtrek): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40252
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']]]/hl7:observation
Item: (obs_Hoofdomtrek)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']]]/hl7:observation"
         id="tmp-r-d0e5d6f3-0921-47f5-8cce-c16235fb051b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40252-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(obs_Hoofdomtrek): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40252-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(obs_Hoofdomtrek): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40252-2012-08-01T000000.html"
              test="string(@negationInd)='false'">(obs_Hoofdomtrek): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40252-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']/@nullFlavor)">(obs_Hoofdomtrek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40252-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252'])&lt;=1">(obs_Hoofdomtrek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40252-2012-08-01T000000.html"
              test="count(hl7:code[(@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(obs_Hoofdomtrek): element hl7:code[(@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40252-2012-08-01T000000.html"
              test="count(hl7:code[(@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(obs_Hoofdomtrek): element hl7:code[(@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40252-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Hoofdomtrek): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40252-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Hoofdomtrek): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40252
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']
Item: (obs_Hoofdomtrek)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']"
         id="tmp-r-763be21d-0af3-455d-b6db-bb6716b5f281">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40252-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Hoofdomtrek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40252-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40252'">(obs_Hoofdomtrek): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.40252' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40252
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']]]/hl7:observation/hl7:code[(@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (obs_Hoofdomtrek)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']]]/hl7:observation/hl7:code[(@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-r-81d2f151-d363-49b2-aad6-69cfcaf25238">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40252-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Hoofdomtrek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40252-2012-08-01T000000.html"
              test="@nullFlavor or (@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Hoofdomtrek): de elementwaarde MOET zijn code '252' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40252
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']]]/hl7:observation/hl7:value
Item: (obs_Hoofdomtrek)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']]]/hl7:observation/hl7:value"
         id="tmp-r-273cf757-8254-432d-a289-d0de023320ba">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40252-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Hoofdomtrek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40252-2012-08-01T000000.html"
              test="(@nullFlavor or (@unit='mm'))">(obs_Hoofdomtrek): value MOET eenheid 'mm' gebruiken </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40252-2012-08-01T000000.html"
              test="$digitok or @nullFlavor">(obs_Hoofdomtrek): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.40252-2012-08-01T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(obs_Hoofdomtrek): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40252
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']]]/hl7:observation/hl7:component1[hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]]
Item: (obs_Hoofdomtrek)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40252
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']]]/hl7:observation/hl7:component2[hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]]
Item: (obs_Hoofdomtrek)
--></pattern>
