<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.10028
Name: Activities component1 NonBDSData
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000">
   <title>Activities component1 NonBDSData</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:nonBDSData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10028']]
Item: (activitiesComponent1NonBDSData)
-->

   <rule context="*[hl7:nonBDSData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10028']]"
         id="tmp-r-499dd2f0-dfc7-4743-b756-7e93e37e0225">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']])&gt;=1 and not(hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']])&lt;=1">(activitiesComponent1NonBDSData): element hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:nonBDSData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]
Item: (activitiesComponent1NonBDSData)
-->

   <rule context="*[hl7:nonBDSData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]"
         id="tmp-r-aefd2bd4-fd70-4eda-809a-9b7314a0c7a8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028'])&lt;=1">(activitiesComponent1NonBDSData): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesComponent1NonBDSData): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesComponent1NonBDSData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]])&lt;=1">(activitiesComponent1NonBDSData): element hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:nonBDSData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:templateId
Item: (activitiesComponent1NonBDSData)
-->

   <rule context="*[hl7:nonBDSData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:templateId"
         id="tmp-r-6648a531-6b27-4c66-83b5-c955790dd3c6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.10028'">(activitiesComponent1NonBDSData): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.10028' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:nonBDSData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:code
Item: (activitiesComponent1NonBDSData)
-->

   <rule context="*[hl7:nonBDSData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:code"
         id="tmp-r-dd0ff1aa-222c-4fc3-903a-fbd7575afb86">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH' or not(@nullFlavor)">(activitiesComponent1NonBDSData): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesComponent1NonBDSData): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:nonBDSData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:code/hl7:originalText
Item: (activitiesComponent1NonBDSData)
-->

   <rule context="*[hl7:nonBDSData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:code/hl7:originalText"
         id="tmp-r-0a9b0c66-7730-4213-b76b-f523558d53fc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:nonBDSData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:value
Item: (activitiesComponent1NonBDSData)
-->

   <rule context="*[hl7:nonBDSData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:value"
         id="tmp-r-64afe7c4-243f-4563-a7dc-a8d10881b9fc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:nonBDSData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]
Item: (activitiesComponent1NonBDSData)
-->

   <rule context="*[hl7:nonBDSData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]"
         id="tmp-r-c11fb4eb-6f40-4dbf-baa4-3f1056547b8d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesComponent1NonBDSData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']])&gt;=1 and not(hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']])&lt;=1">(activitiesComponent1NonBDSData): element hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:nonBDSData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]/hl7:categoryInBDS
Item: (activitiesComponent1NonBDSData)
-->

   <rule context="*[hl7:nonBDSData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]/hl7:categoryInBDS"
         id="tmp-r-ce0a4f64-14e3-43c1-9717-58d7b126866d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@classCode)='CATEGORY' or not(@classCode)">(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391'])&gt;=1 and not(hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391'])&lt;=1">(activitiesComponent1NonBDSData): element hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10028
Context: *[hl7:nonBDSData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]/hl7:categoryInBDS/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']
Item: (activitiesComponent1NonBDSData)
-->

   <rule context="*[hl7:nonBDSData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']]]/hl7:categoryInBDS/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391']"
         id="tmp-r-d12f733e-3c89-4688-9f32-7b1a09af59d2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140312T113456/tmp-2.16.840.1.113883.2.4.6.10.100.10028-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.391')">(activitiesComponent1NonBDSData): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.2.4.4.40.391'.</assert>
   </rule>
</pattern>
